org.eclipse.viatra.query.runtime.matchers.util

## Class EclipseCollectionsFactory

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.util.EclipseCollectionsFactory

- All Implemented Interfaces:
    CollectionsFactory.ICollectionsFramework

      public class EclipseCollectionsFactory
      extends java.lang.Object
      implements CollectionsFactory.ICollectionsFramework

  Since:
    1.7
  No Reference:
    This class is not intended to be referenced by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EclipseCollectionsFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> IDeltaBag<T>` | `createDeltaBag()`
    `<K,V> java.util.Map<K,V>` | `createMap()`
    `<K,V> java.util.Map<K,V>` | `createMap(java.util.Map<K,V> initial)`
    `<T> IMemory<T>` | `createMemory(java.lang.Class<? super T> values, CollectionsFactory.MemoryType memoryType)`
    `<K,V> IMultiLookup<K,V>` | `createMultiLookup(java.lang.Class<? super K> fromKeys, CollectionsFactory.MemoryType toBuckets, java.lang.Class<? super V> ofValues)`
    `<T> IMultiset<T>` | `createMultiset()`
    `<O> java.util.List<O>` | `createObserverList()`
    `<E> java.util.Set<E>` | `createSet()`
    `<E> java.util.Set<E>` | `createSet(java.util.Collection<E> initial)`
    `<K,V> java.util.TreeMap<K,V>` | `createTreeMap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EclipseCollectionsFactory

          public EclipseCollectionsFactory()

  - ### Method Detail

    - #### createMap

          public <K,V> java.util.Map<K,V> createMap()

      Specified by:
        `createMap` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createMap

          public <K,V> java.util.Map<K,V> createMap(java.util.Map<K,V> initial)

      Specified by:
        `createMap` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createTreeMap

          public <K,V> java.util.TreeMap<K,V> createTreeMap()

      Specified by:
        `createTreeMap` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createSet

          public <E> java.util.Set<E> createSet()

      Specified by:
        `createSet` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createSet

          public <E> java.util.Set<E> createSet(java.util.Collection<E> initial)

      Specified by:
        `createSet` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createMultiset

          public <T> IMultiset<T> createMultiset()

      Specified by:
        `createMultiset` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createDeltaBag

          public <T> IDeltaBag<T> createDeltaBag()

      Specified by:
        `createDeltaBag` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createObserverList

          public <O> java.util.List<O> createObserverList()

      Specified by:
        `createObserverList` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createMultiLookup

          public <K,V> IMultiLookup<K,V> createMultiLookup(java.lang.Class<? super K> fromKeys,
                                                           CollectionsFactory.MemoryType toBuckets,
                                                           java.lang.Class<? super V> ofValues)

      Specified by:
        `createMultiLookup` in interface `CollectionsFactory.ICollectionsFramework`

    - #### createMemory

          public <T> IMemory<T> createMemory(java.lang.Class<? super T> values,
                                             CollectionsFactory.MemoryType memoryType)

      Specified by:
        `createMemory` in interface `CollectionsFactory.ICollectionsFramework`